dnl
dnl $Id: config.m4 102 2006-10-30 04:49:12Z holbrookbw $
dnl

AC_DEFUN([PKG_CHECK_MODULES], [
	succeeded=no
 
	if test -z "$PKG_CONFIG"; then
		AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
	fi
 
	if test "$PKG_CONFIG" = "no" ; then
		echo "*** The pkg-config script could not be found. Make sure it is"
		echo "*** in your path, or set the PKG_CONFIG environment variable"
		echo "*** to the full path to pkg-config."
		echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
	else
		PKG_CONFIG_MIN_VERSION=0.9.0
		if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
			AC_MSG_CHECKING(for $2)
 
			if $PKG_CONFIG --exists "$2" ; then
				AC_MSG_RESULT(yes)
				succeeded=yes
 
				AC_MSG_CHECKING($1_CFLAGS)
				$1_CFLAGS=`$PKG_CONFIG --cflags "$2"`
				AC_MSG_RESULT($$1_CFLAGS)
 
				AC_MSG_CHECKING($1_LIBS)
				$1_LIBS=`$PKG_CONFIG --libs "$2"`
				AC_MSG_RESULT($$1_LIBS)
			else
				$1_CFLAGS=""
				$1_LIBS=""
				## If we have a custom action on failure, don't print errors, but 
				## do set a variable so people can do so.
				$1_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$2"`
				ifelse([$4], ,echo $$1_PKG_ERRORS,)
			fi
 
			AC_SUBST($1_CFLAGS)
			AC_SUBST($1_LIBS)
		else
			echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
			echo "*** See http://www.freedesktop.org/software/pkgconfig"
		fi
	fi
 
	if test $succeeded = yes; then
		ifelse([$3], , :, [$3])
	else
		ifelse([$4], , AC_MSG_ERROR([Library requirements ($2) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.]), [$4])
	fi
 ])


PHP_ARG_WITH(shout, whether to enable Shout support,
[  --with-shout[=DIR]        Include shout support, DIR is the libshout base directory [/usr]])
PHP_ARG_ENABLE(shout-debug, whether to enable Shout debug output,
[  --enable-shout-debug    Compile phpShout with debug output, for diagnosing problems], no, no)

if test "$PHP_SHOUT_DEBUG" == "yes"; then
	PHP_SHOUT="yes, shared"
fi

if test "$PHP_SHOUT" != "no"; then
	AC_DEFINE(HAVE_SHOUT, 1, [Whether you have Shout])

	PKG_CHECK_MODULES(SHOUT, [shout >= 2.1])

	PHP_EVAL_LIBLINE($SHOUT_LIBS, SHOUT_SHARED_LIBADD)

	SHOUT_DIR=
	SHOUT_INC_DIR=

	for i in $PHP_SHOUT /usr/local /usr; do
		if test -r $i/include/shout/shout.h; then
			SHOUT_DIR=$i
			SHOUT_INC_DIR=$i/include/shout
			break
		elif test -r $i/include/shout.h; then
			SHOUT_DIR=$i
			SHOUT_INC_DIR=$i/include
			break
		fi
	done

	if test -z "$SHOUT_DIR"; then
		AC_MSG_ERROR([Cannot find the libshout header files under $PHP_SHOUT])
	fi

	PHP_ADD_INCLUDE($SHOUT_INC_DIR)

	SHOUT_CFLAGS="$SHOUT_CFLAGS -Wall -fstack-protector"
	if test "$PHP_SHOUT_DEBUG" == "yes"; then
		SHOUT_CFLAGS="$SHOUT_CFLAGS -DSHOUT_DEBUG"
	fi

	PHP_NEW_EXTENSION(shout, shout.c, $ext_shared, , $SHOUT_CFLAGS)

dnl	SHOUT_MODULE_TYPE=external

	PHP_SUBST(SHOUT_SHARED_LIBADD)
fi
